From c7a030288956f52f2070d95a9d17d14f608704ac Mon Sep 17 00:00:00 2001
From: Nikolai Kostrigin <nickel@altlinux.org>
Date: Thu, 17 Sep 2020 14:54:14 +0300
Subject: [PATCH 1/2] mki-copy-efiboot-chrooted: remove extra slash in
 bootloader path

Path starting with double slash, like:
//EFI/BOOT/<bootloader>.efi
confuses rEFInd making further boot impossible
---
 tools/mki-copy-efiboot-chrooted | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/mki-copy-efiboot-chrooted b/tools/mki-copy-efiboot-chrooted
index 2075e8e..80b1887 100644
--- a/tools/mki-copy-efiboot-chrooted
+++ b/tools/mki-copy-efiboot-chrooted
@@ -293,7 +293,7 @@ refind_add_stage2()
 		case "$1" in
 			x64)
 				# ELILO used as SB trampoline for unsigned kernels
-				loader="/$boot/elilo.efi"
+				loader="$boot/elilo.efi"
 				# NB: -v seems critical, otherwise we hit this:
 				#     gzip_x86_64: invalid exec_header
 				options="-v -i full.cz vmlinuz `bootparams $root` $splash"
@@ -301,7 +301,7 @@ refind_add_stage2()
 			ia32)
 				# GRUB-EFI is used as SB trampoline for unsigned kernels
 				# for ia32 EFI on x86_64 platforms
-				loader="/$boot/grubia32_ldr.efi"
+				loader="$boot/grubia32_ldr.efi"
 				options=""
 				;;
 			*)
-- 
2.25.4

